namespace ChillConnect
{
    public abstract class BaseSystem
    {
        public virtual void Init()
        {
        }

        public virtual void InitLate()
        {
        }

        public virtual void Dispose()
        {
        }

        public virtual void Update()
        {
        }

        public virtual void LateUpdate()
        {
        }

        public virtual void FixedUpdate()
        {
        }
    }
}